%-------------------------------------------------------------------------------
%                Required Packages
%-------------------------------------------------------------------------------
\usepackage{booktabs}
\usepackage{multirow}
\usepackage{longtable}
\usepackage[table]{xcolor}
\usepackage[shortlabels]{enumitem}
\usepackage{ifthen}
\usepackage{caption}


%Contador para los reqfunc
\newcounter{reqfuncctr}
\setcounter{reqfuncctr}{0}

%-------------------------------------------------------------------------------
%                \addtitle command: add the title of the reqfunc
%-------------------------------------------------------------------------------

\newcommand{\refreqfunc}[1]{%
	\texttt{[RF-\ref{#1}]}%
}

\newcommand\addtitlereqfunc[2]{%
	\hline \rowcolor{gray!15}  %
	\multicolumn{2}{|c|}{%
		\refstepcounter{reqfuncctr}\label{#2}%
		\texttt{\textbf{RF-\arabic{reqfuncctr}}} \textbf{#1}%
	} \\ \hline
}

\newcommand\tabularheadreqfunc{\begin{longtable*}{|lp{10cm}|}
	}
	
	%-------------------------------------------------------------------------------
	%                \addfield command: add a property of the reqfunc
	%-------------------------------------------------------------------------------
	\newcommand\addfieldreqfunc[2]{\textit{#1} &#2\\ \hline  }
	
	%-------------------------------------------------------------------------------
	%                \additemizedfield command: add a field with an item list
	%-------------------------------------------------------------------------------
	\newcommand\additemizedfieldreqfunc[2]{ 
		\begin{minipage}[t][][t]{2cm}
			\textit{#1}
			\vspace{1.3ex}
		\end{minipage}% 
		&
		\begin{minipage}[t][][t]{8.3cm}
			\begin{itemize}[leftmargin=*,nosep] 
				#2
			\end{itemize}
			\vspace{1.5ex}
		\end{minipage}\\ \hline}
	
	%-------------------------------------------------------------------------------
	%                Definition of the reqfuncetive environment
	%-------------------------------------------------------------------------------
	\newenvironment{reqfunc}{\tabularheadreqfunc}
	{\end{longtable*}}